<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: XHXKit/Classes/Base/Foundation/XHXThreadSafeDictionary.m 文件参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_x_h_x_thread_safe_dictionary_8m.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">类</a> &#124;
<a href="#define-members">宏定义</a>  </div>
  <div class="headertitle">
<div class="title">XHXThreadSafeDictionary.m 文件参考</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#import &quot;<a class="el" href="_x_h_x_thread_safe_dictionary_8h_source.html">XHXThreadSafeDictionary.h</a>&quot;</code><br />
</div>
<p><a href="_x_h_x_thread_safe_dictionary_8m_source.html">浏览源代码.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
宏定义</h2></td></tr>
<tr class="memitem:afb8d9d5b560c7c17181409c6a43b6c21"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_thread_safe_dictionary_8m.html#afb8d9d5b560c7c17181409c6a43b6c21">INIT</a>(...)</td></tr>
<tr class="separator:afb8d9d5b560c7c17181409c6a43b6c21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48ded6ef6e169fd2b9d98b42aab5aa69"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="_x_h_x_thread_safe_dictionary_8m.html#a48ded6ef6e169fd2b9d98b42aab5aa69">LOCK</a>(...)</td></tr>
<tr class="separator:a48ded6ef6e169fd2b9d98b42aab5aa69"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">宏定义说明</h2>
<a id="afb8d9d5b560c7c17181409c6a43b6c21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb8d9d5b560c7c17181409c6a43b6c21">&#9670;&nbsp;</a></span>INIT</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define INIT</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>值:</b><div class="fragment"><div class="line"><span class="keyword">self</span> = super.init; \</div>
<div class="line">if (!<span class="keyword">self</span>) return nil; \</div>
<div class="line">__VA_ARGS__; \</div>
<div class="line">if (!_dic) return nil; \</div>
<div class="line">_lock = dispatch_semaphore_create(1); \</div>
<div class="line">return self;</div>
</div><!-- fragment -->
<p class="definition">在文件 <a class="el" href="_x_h_x_thread_safe_dictionary_8m_source.html">XHXThreadSafeDictionary.m</a> 第 <a class="el" href="_x_h_x_thread_safe_dictionary_8m_source.html#l00011">11</a> 行定义.</p>

</div>
</div>
<a id="a48ded6ef6e169fd2b9d98b42aab5aa69"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a48ded6ef6e169fd2b9d98b42aab5aa69">&#9670;&nbsp;</a></span>LOCK</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define LOCK</td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>...</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<b>值:</b><div class="fragment"><div class="line">dispatch_semaphore_wait(_lock, DISPATCH_TIME_FOREVER); \</div>
<div class="line">__VA_ARGS__; \</div>
<div class="line">dispatch_semaphore_signal(_lock);</div>
</div><!-- fragment -->
<p class="definition">在文件 <a class="el" href="_x_h_x_thread_safe_dictionary_8m_source.html">XHXThreadSafeDictionary.m</a> 第 <a class="el" href="_x_h_x_thread_safe_dictionary_8m_source.html#l00019">19</a> 行定义.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_05f730b1f29a3e373a3d04cb5cb42ea7.html">XHXKit</a></li><li class="navelem"><a class="el" href="dir_2d533305e802e0a7e844b4ecd2e2bdb2.html">Classes</a></li><li class="navelem"><a class="el" href="dir_778ebd26e57377eb2e4b9acfa44c059f.html">Base</a></li><li class="navelem"><a class="el" href="dir_0598172aafe32c9cc3b37dc50f9bb9dd.html">Foundation</a></li><li class="navelem"><a class="el" href="_x_h_x_thread_safe_dictionary_8m.html">XHXThreadSafeDictionary.m</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
